%define url_ver %(echo %{version}|cut -d. -f1,2)

%define	major	13
%define	maj_app	0
%define	gir_maj	1.0
%define	libname	%mklibname %{name} %{major}
%define	lib_app	%mklibname %{name}-applet %{maj_app}
%define	girname	%mklibname %{name}-gir %{gir_maj}
%define	gir_app	%mklibname %{name}-applet-gir %{gir_maj}
%define	devname	%mklibname -d %{name}

Name: 	 	gnome-bluetooth
Summary: 	GNOME Bluetooth Subsystem
Epoch:		1
Version: 	3.16.1
Release:	1
#gw lib is LGPL, main app is GPL
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://usefulinc.com/software/gnome-bluetooth/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	61-gnome-bluetooth-rfkill.rules

BuildRequires:	intltool itstool
BuildRequires:	GConf2
BuildRequires:	gettext
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(unique-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libudev)

Requires:	bluez

Obsoletes:	nautilus-sendto-bluetooth < %{version}
Provides:	nautilus-sendto-bluetooth = %{version}

Provides:	bluez-pin

Obsoletes:	%{gir_app}
Obsoletes:	%{lib_app}

%description
The gnome-bluetooth package contains graphical utilities to setup,
monitor and use Bluetooth devices.

%package -n	%{libname}
Group:		System/Libraries
Summary: 	GNOME bluetooth library
Conflicts:	%{_lib}gnome-bluetooth7 < 1:2.31
Obsoletes:	%{_lib}gnome-bluetooth11

%description -n	%{libname}
Library from GNOME-Bluetooth.

%package -n	%{lib_app}
Group:		System/Libraries
Summary: 	GNOME bluetooth Applet library

%description -n %{lib_app}
Library from GNOME-Bluetooth Applet

%package -n	%{girname}
Group:		System/Libraries
Summary:	GObject Introspection interface for %{name}
Requires:	%{libname} = %{EVRD}

%description -n	%{girname}
GObject Introspection interface for %{name}.

%package -n	%{devname}
Group:		Development/C
Summary:	Development libraries and header files from %{name}
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{version}-%{release}


%description -n	%{devname}
Development libraries and header files from %{name}

%prep
%setup -q
%apply_patches

%build
export LDFLAGS="$LDFLAGS -lm"

%configure2_5x \
	--enable-shared \
	--disable-static \
	--disable-desktop-update \
	--disable-icon-update

%make
										
%install
%makeinstall_std
%find_lang %{name}2 --all-name --with-gnome

mkdir -p %{buildroot}/lib/udev/rules.d
install -m644 %{SOURCE1} %{buildroot}/lib/udev/rules.d/

%files -f %{name}2.lang
%doc README AUTHORS
%{_bindir}/*
%{_datadir}/applications/bluetooth-sendto.desktop
%{_datadir}/icons/hicolor/*/*/*.*
%{_datadir}/%{name}
%{_mandir}/man1/*
/lib/udev/rules.d/*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/GnomeBluetooth-%{gir_maj}.typelib

%files -n %{devname}
%{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/GnomeBluetooth-1.0.gir

%changelog

* Mon Apr 20 2015 Tigro <ashejn@gmail.com> 1:3.16.1-1
- (06818bd) update to 3.16.1


